<template>
  <ob-table
      :items="items"
      :columns="columns"
      :functional-panel="true"
  >
    <template slot="dropDown" slot-scope="{data}">
      <ob-inline-select
          v-model="data.item.uuid"
          :items="options"
      />
    </template>
  </ob-table>
</template>

<script>
  import ObTable from "common-components/src/obComponents/obTable";
  import ObInlineSelect from 'common-components/src/obComponents/obInlineSelect';

  export default {
    name: "LeftTable",
    components: {
      ObTable,
      ObInlineSelect
    },
    data() {
      return {
        items: [
          {
            text: 'ООО “Марс”',
            rating: 4.1,
            title: 'Обобщённую',
            uuid: '2'
          },
          {
            text: 'ООО “Проктер энд Гэмбл”',
            rating: 4.1,
            title: 'По клиенту',
            uuid: '1'
          },
          {
            text: 'ОАО “Заказчик Два”',
            rating: 4.1,
            title: 'Обобщённую',
            uuid: '2'
          },
          {
            text: 'ООО “Заказчик Три”',
            rating: 4.1,
            title: 'Среднюю по истории',
            uuid: '3'
          },
          {
            text: 'ООО “Крупный клиент”',
            rating: 4.1,
            title: 'Экспертную',
            uuid: '4'
          }
        ],
        options: [
          {
            uuid: '1',
            title: 'По клиенту'
          },
          {
            uuid: '2',
            title: 'Обобщённую'
          },
          {
            uuid: '3',
            title: 'Среднюю по истории'
          },
          {
            uuid: '4',
            title: 'Экспертную'
          }
        ]
      }
    },
    computed: {
      columns() {
        return [
          {
            title: 'Клиент',
            key: 'text'
          },
          {
            title: 'средняя по истории, %',
            key: 'rating'
          },
          {
            title: 'Использовать наценку',
            key: 'markup',
            slotName: 'dropDown'
          }
        ]
      }
    }
  }
</script>